Thread
Date: 2016-06-24

java.lang

## Class Thread

- java.lang.Object
- - java.lang.Thread

- All Implemented Interfaces:
    Runnable

      public class Thread
      extends Object
      implements Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_PRIORITY`
    `static int` | `MIN_PRIORITY`
    `static int` | `NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Thread()`
    `Thread(Runnable var0)`
    `Thread(Runnable var0, String var1)`
    `Thread(String var0)`
    `Thread(ThreadGroup var0, Runnable var1)`
    `Thread(ThreadGroup var0, Runnable var1, String var2)`
    `Thread(ThreadGroup var0, Runnable var1, String var2, long var3)`
    `Thread(ThreadGroup var0, String var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `activeCount()`
    `void` | `checkAccess()`
    `static Thread` | `currentThread()`
    `void` | `destroy()`
    `static void` | `dumpStack()`
    `static int` | `enumerate(Thread[] var0)`
    `ClassLoader` | `getContextClassLoader()`
    `String` | `getName()`
    `int` | `getPriority()`
    `ThreadGroup` | `getThreadGroup()`
    `static boolean` | `holdsLock(Object var0)`
    `void` | `interrupt()`
    `static boolean` | `interrupted()`
    `boolean` | `isAlive()`
    `boolean` | `isDaemon()`
    `boolean` | `isInterrupted()`
    `void` | `join()`
    `void` | `join(long var0)`
    `void` | `join(long var0, int var1)`
    `void` | `run()`
    `void` | `setContextClassLoader(ClassLoader var0)`
    `void` | `setDaemon(boolean var0)`
    `void` | `setName(String var0)`
    `void` | `setPriority(int var0)`
    `static void` | `sleep(long var0)`
    `static void` | `sleep(long var0, int var1)`
    `void` | `start()`
    `static void` | `yield()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_PRIORITY

          public static final int MAX_PRIORITY

      See Also:
        Constant Field Values

    - #### MIN_PRIORITY

          public static final int MIN_PRIORITY

      See Also:
        Constant Field Values

    - #### NORM_PRIORITY

          public static final int NORM_PRIORITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Thread

          public Thread()

    - #### Thread

          public Thread(Runnable var0)

    - #### Thread

          public Thread(Runnable var0,
                String var1)

    - #### Thread

          public Thread(String var0)

    - #### Thread

          public Thread(ThreadGroup var0,
                Runnable var1)

    - #### Thread

          public Thread(ThreadGroup var0,
                Runnable var1,
                String var2)

    - #### Thread

          public Thread(ThreadGroup var0,
                Runnable var1,
                String var2,
                long var3)

    - #### Thread

          public Thread(ThreadGroup var0,
                String var1)

  - ### Method Detail

    - #### activeCount

          public static int activeCount()

    - #### checkAccess

          public final void checkAccess()

    - #### currentThread

          public static Thread currentThread()

    - #### destroy

          public void destroy()

    - #### dumpStack

          public static void dumpStack()

    - #### enumerate

          public static int enumerate(Thread[] var0)

    - #### getContextClassLoader

          public ClassLoader getContextClassLoader()

    - #### getName

          public final String getName()

    - #### getPriority

          public final int getPriority()

    - #### getThreadGroup

          public final ThreadGroup getThreadGroup()

    - #### holdsLock

          public static boolean holdsLock(Object var0)

    - #### interrupt

          public void interrupt()

    - #### interrupted

          public static boolean interrupted()

    - #### isAlive

          public final boolean isAlive()

    - #### isDaemon

          public final boolean isDaemon()

    - #### isInterrupted

          public boolean isInterrupted()

    - #### join

          public final void join()
                          throws InterruptedException

      Throws:
        `InterruptedException`

    - #### join

          public final void join(long var0)
                          throws InterruptedException

      Throws:
        `InterruptedException`

    - #### join

          public final void join(long var0,
                  int var1)
                          throws InterruptedException

      Throws:
        `InterruptedException`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### setContextClassLoader

          public void setContextClassLoader(ClassLoader var0)

    - #### setDaemon

          public final void setDaemon(boolean var0)

    - #### setName

          public final void setName(String var0)

    - #### setPriority

          public final void setPriority(int var0)

    - #### sleep

          public static void sleep(long var0)
                            throws InterruptedException

      Throws:
        `InterruptedException`

    - #### sleep

          public static void sleep(long var0,
                   int var1)
                            throws InterruptedException

      Throws:
        `InterruptedException`

    - #### start

          public void start()

    - #### yield

          public static void yield()